package com.zcloud.service.onlinexxks.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno3.courseware.DataCoursewareMapper;
import com.zcloud.service.onlinexxks.DataCoursewareService;

/**
 * 说明：资料课件维护
 * 作者：luoxiaobao
 * 时间：2021-06-26
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class DataCoursewareServiceImpl implements DataCoursewareService{

	@Autowired
	private DataCoursewareMapper datacoursewareMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		datacoursewareMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		datacoursewareMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		datacoursewareMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return datacoursewareMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return datacoursewareMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return datacoursewareMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		datacoursewareMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return datacoursewareMapper.findByIds(pd);
	}

	/**下拉选项列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getSelect(PageData pd) throws Exception {
		return datacoursewareMapper.getSelect(pd);
	}

	/**列表（全部视频课件+资料课件）
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> getAllCourseware(PageData pd) throws Exception {
		return datacoursewareMapper.getAllCourseware(pd);
	}
	/**修改课件状态
	 * @param pd
	 * @throws Exception
	 */
	public void editByState(PageData pd)throws Exception{
		datacoursewareMapper.editByState(pd);
	}
	public List<PageData> listAllByCurriculumId(PageData pd) throws Exception {
		return datacoursewareMapper.listAllByCurriculumId(pd);
	}
}

